Skip to main content
`Ctrl`+`K`

# PEPConv

The convergence criterion to be used by the solver.

## Synopsis

    typedef enum { PEP_CONV_ABS,
                   PEP_CONV_REL,
                   PEP_CONV_NORM,
                   PEP_CONV_USER } PEPConv;

## Values

- `PEP_CONV_ABS` - absolute convergence criterion, \(\|r\|\)

- `PEP_CONV_REL` - convergence criterion relative to eigenvalue, \(\|r\|/|\lambda|\)

- `PEP_CONV_NORM` - convergence criterion relative to matrix norms, \(\|r\|/(\sum_j\|A_j\||\lambda|^j)\)

- `PEP_CONV_USER` - convergence dictated by user-provided function

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetConvergenceTest()`, `PEPSetConvergenceTestFunction()`

## Level

intermediate

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages